Searched refs:make (Results 1 - 25 of 938) sorted by relevance

1234567891011>>

/haiku-buildtools/gcc/gcc/testsuite/g++.dg/warn/
H A Dincomplete2.C7 const A &make ();
12 return f (make ()); // { dg-error "invalid use of incomplete type" }
/haiku-buildtools/jam/
H A Dmake.h8 * make.h - bring a target up to date, once rules are in place
13 int make( int n_targets, const char **targets, int anyhow );
/haiku-buildtools/gcc/gcc/testsuite/g++.dg/template/
H A Dfriend25.C9 template<class T> T* make() { return new T(); } function in struct:A
13 friend B* A::make< B >(); // (1)
H A Dincomplete5.C9 static const T &make ();
10 static const bool value = sizeof (f (make ())) == sizeof (int); // { dg-error "invalid use of incomplete type" }
H A Dincomplete4.C9 static const T &make ();
15 return X<A>::f (X<A>::make ()); // { dg-error "invalid use of incomplete type" }
H A Dsfinae15.C5 struct make { static T&& it(); }; struct
11 decltype( pf(make<T const&>::it()) )* = 0 // SFINAE!
/haiku-buildtools/gcc/contrib/reghunt/bin/
H A Dgcc-build-simple50 #msg "make libraries"
51 make all-build-libiberty > ${LOGDIR}/make.all-build-libiberty.log 2>&1 || true
52 make all-libcpp > ${LOGDIR}/make.all-libcpp.log 2>&1 || true
53 make all-libdecnumber > ${LOGDIR}/make.all-libdecnumber.log 2>&1 || true
54 make all-intl > ${LOGDIR}/make.all-intl.log 2>&1 || true
55 make al
[all...]
H A Dgcc-build-full49 make $REG_MAKE_J > ${LOGDIR}/make.log 2>&1 || abort " make failed"
50 make install > ${LOGDIR}/make.install.log 2>&1 || abort " make install failed"
/haiku-buildtools/gcc/gcc/testsuite/go.test/test/fixedbugs/
H A Dissue6399.go14 b := make([]Bar, 20)
15 f := make([]Foo, 20)
20 _ = make([]struct{}, 1)
H A Dissue4085a.go12 _ = make(T, -1) // ERROR "negative"
13 _ = make(T, 0.5) // ERROR "constant 0.5 truncated to integer|non-integer len argument"
14 _ = make(T, 1.0) // ok
15 _ = make(T, 1<<63) // ERROR "len argument too large"
16 _ = make(T, 0, -1) // ERROR "negative cap"
17 _ = make(T, 10, 0) // ERROR "len larger than cap"
/haiku-buildtools/gcc/gcc/testsuite/go.go-torture/execute/
H A Dchan-1.go4 c := make(chan int, 1);
H A Dgo-1.go8 c := make(chan int);
/haiku-buildtools/cloog/osl/
H A Dredo.sh2 make maintainer-clean
5 make
/haiku-buildtools/libtool/tests/
H A DMakefile.am6 tagdemo-static.test tagdemo-make.test tagdemo-exec.test \
7 tagdemo-conf.test tagdemo-make.test tagdemo-exec.test \
8 tagdemo-shared.test tagdemo-make.test tagdemo-exec.test
11 f77demo-static.test f77demo-make.test f77demo-exec.test \
12 f77demo-conf.test f77demo-make.test f77demo-exec.test \
13 f77demo-shared.test f77demo-make.test f77demo-exec.test
16 cdemo-static.test cdemo-make.test cdemo-exec.test \
17 demo-static.test demo-make.test demo-exec.test \
19 depdemo-static.test depdemo-make.test \
21 mdemo-static.test mdemo-make
[all...]
H A Ddryrun.test22 echo "= Running $make clean in ../mdemo"
23 $make clean || exit 1
44 # main.o is not compiled with libtool, but it depends on it, so make
45 # sure it is up-to-date. libfoo2.la is linked with libsub.la, so make
47 $make main.$OBJEXT || exit 1
51 force_dry_run=yes $make foo1.lo foo2.lo sub.lo || exit $?
54 # Now really make them
56 $make foo1.lo foo2.lo libsub.la || exit 1
60 force_dry_run=yes $make foo1.la libfoo2.la || exit $?
63 # Now really make the
[all...]
H A Ddemo-unst.test20 echo "= Running $make uninstall in ../demo"
21 $make uninstall || exit 1
27 echo "= Leftover after make uninstall:"
H A Ddepdemo-inst.test16 echo "You must run depdemo-make.test before $0" 1>&2
23 echo "= Running $make install in ../depdemo"
24 $make install || exit 1
H A Ddepdemo-unst.test20 echo "= Running $make uninstall in ../depdemo"
21 $make uninstall || exit 1
27 echo "= Leftover after make uninstall:"
H A Dmdemo-unst.test20 echo "= Running $make uninstall in ../mdemo"
21 $make uninstall || exit 1
27 echo "= Leftover after make uninstall:"
/haiku-buildtools/binutils/gas/testsuite/gas/mips/
H A Dn32-consec.s4 # Force at least 8 (non-delay-slot) zero bytes, to make 'objdump' print ...
11 # Force at least 8 (non-delay-slot) zero bytes, to make 'objdump' print ...
/haiku-buildtools/legacy/gcc/gcc/
H A Ddostage22 make -k LANGUAGES=c $1 CC=stage1/xgcc XCFLAGS=-Bstage1/ CFLAGS="-g $2" >log2 2>&1
H A Ddostage32 make -k LANGUAGES=c $1 CC=stage2/xgcc XCFLAGS=-Bstage2/ CFLAGS="-g $2" >log3 2>&1
/haiku-buildtools/gcc/gcc/testsuite/go.test/test/chan/
H A Dzerosize.go12 _ = make(chan [0]byte)
13 _ = make(chan [0]byte, 1)
14 _ = make(chan struct{})
15 _ = make(chan struct{}, 1)
/haiku-buildtools/gcc/gcc/testsuite/g++.dg/cpp0x/
H A Ddecltype21.C6 T make();
9 struct c : decltype(make<p>()) {};
11 decltype(make<p>())::t t;
H A Dsfinae43.C14 static T make();
19 static one test(decltype((make<U>() << make<T>()), 0));

Completed in 79 milliseconds

1234567891011>>